Module java.base
Package java.util.jar

# Class JarException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.util.zip.ZipException
java.util.jar.JarException

All Implemented Interfaces:
  `Serializable`

public class JarException extends ZipException
Signals that an error of some sort has occurred while reading from or writing to a JAR file.

Since:
  1.2
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JarException()`
Constructs a JarException with no detail message.
`JarException(String s)`
Constructs a JarException with the specified detail message.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JarException

public JarException()
Constructs a JarException with no detail message.

### JarException

public JarException(String s)
Constructs a JarException with the specified detail message.

Parameters:
  `s` - the detail message